LinuxQMISDK: connectNumInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
connectNumInfo Struct Reference

## Data Fields
BYTE | numPresInd
BYTE | screeningInd
BYTE | numType
BYTE | numPlan
BYTE | callerIDLen
BYTE | callerID [81]

## Detailed Description

This structure contains information about the numbers connected to a device. It contains information such as number type, eg International or Local.

Parameters

  numPresInd | Presentation indicator 0x00 - PRESENTATION_ALLOWED - Allowed presentation 0x01 - PRESENTATION_RESTRICTED - Restricted presentation 0x02 - PRESENTATION_NUM_UNAVAILABLE - Unavailable presentation 0x04 - PRESENTATION_PAYPHONE - Payphone presentation (GSM/UMTS specific) 0xFF - Not Available
  screeningInd | Screening indicator. 0x00 - QMI_VOICE_SI_USER_PROVIDED_NOT_SCREENED - Provided user is not screened 0x01 - QMI_VOICE_SI_USER_PROVIDED_VERIFIED_PASSED - Provided user passed verification 0x02 - QMI_VOICE_SI_USER_PROVIDED_VERIFIED_FAILED - Provided user failed verification 0x03 - QMI_VOICE_SI_NETWORK_PROVIDED - Provided network 0xFF - Not Available
  numType | Number type. 0x00 - QMI_VOICE_NUM_TYPE_UNKNOWN - Unknown 0x01 - QMI_VOICE_NUM_TYPE_INTERNATIONAL - International 0x02 - QMI_VOICE_NUM_TYPE_NATIONAL - National 0x03 - QMI_VOICE_NUM_TYPE_NETWORK_SPECIFIC - Network-specific 0x04 - QMI_VOICE_NUM_TYPE_SUBSCRIBER - Subscriber 0x05 - QMI_VOICE_NUM_TYPE_RESERVED - Reserved 0x06 - QMI_VOICE_NUM_TYPE_ABBREVIATED - Abbreviated 0x07 - QMI_VOICE_NUM_TYPE_RESERVED_EXTENSION - Reserved extension 0xFF - Not Available
  numPlan | Number plan. 0x00 - QMI_VOICE_NUM_PLAN_UNKNOWN - Unknown 0x01 - QMI_VOICE_NUM_PLAN_ISDN - ISDN 0x03 - QMI_VOICE_NUM_PLAN_DATA - Data 0x04 - QMI_VOICE_NUM_PLAN_TELEX - Telex 0x08 - QMI_VOICE_NUM_PLAN_NATIONAL - National 0x09 - QMI_VOICE_NUM_PLAN_PRIVATE - Private 0x0B - QMI_VOICE_NUM_PLAN_RESERVED_CTS - Reserved cordless telephony system 0x0F - QMI_VOICE_NUM_PLAN_RESERVED_EXTENSION - Reserved extension 0xFF - Not Available
  callerIDLen | Provides the length of caller ID which follow. If zero(0) then no further information exists.
  callerID[MAX_CALL_NO_LEN] | callerID of numLen length, NULL terminated.

## Field Documentation

BYTE connectNumInfo::callerID[81]

BYTE connectNumInfo::callerIDLen

BYTE connectNumInfo::numPlan

BYTE connectNumInfo::numPresInd

BYTE connectNumInfo::numType

BYTE connectNumInfo::screeningInd